version: '3.7'

services:
  tricky-search-backend:
    build: backend
    env_file: .env
    ports:
      - 5000:5000
    volumes:
      - tricky-search-local-database:/usr/src/app/db
    networks:
      - tricky-search-network
    # depends_on:
    #   - tricky-search-database


  # tricky-search-database:
  #   image: postgres:14
  #   env_file: .env.db
  #   networks:
  #     - tricky-search-network
  #   volumes:
  #     - database-data:/var/lib/postgresql
  tricky-search-froncik:
    build: frontend
    ports:
      - 3000:3000
    networks:
      - tricky-search-network
networks:
  tricky-search-network:
    driver: bridge

volumes:
  tricky-search-local-database:
    